import QtQuick 1.1
import com.nokia.meego 1.0

Item {
    id: button

    property string imgNormal
    property string imgActive

    signal clicked
    signal pressed
    signal released

    onPressed: scale = 0.9
    onReleased: scale = 1.0

    Image {
        id: img
        width: parent.width
        height: parent.height
        anchors.centerIn: parent
        source: parent.imgNormal
        smooth: true
    }

    MouseArea {
        anchors.fill: parent
        onPressed: {img.source = button.imgActive; button.pressed() }
        onReleased: {img.source = button.imgNormal; button.released() }
        onClicked: button.clicked()
    }
}
