import QtQuick 1.1

Item {
    property alias gradient: gradient
    property alias fontHand: fontHand.name

    Gradient {
        id: gradient
        property string g1: "#001814"
        property string g2: "#054f42"

        GradientStop { position: 0.0; color: gradient.g1 }
        GradientStop { position: 0.5; color: gradient.g2 }
        GradientStop { position: 1.0; color: gradient.g1 }

    }

    FontLoader {
        id: fontHand
        source: "resources/handsean.ttf"
    }
}
