import QtQuick 1.1

Rectangle {
    id: bg
    anchors.fill: parent
    gradient: visual.gradient



    function getRandom(range) {
        var randomnumber=Math.floor(Math.random()*range)

        return randomnumber

    }

    function createBubble() {
        var component = Qt.createComponent("Bubble.qml")

          var sprite = component.createObject(bg, {"initial": false})

          if (sprite == null)
              console.log("Error creating object")
    }

    Component.onCompleted: {
        for (var i=0; i<5; i++) {
            var component = Qt.createComponent("Bubble.qml")

              var sprite = component.createObject(bg, {"initial": true})

              if (sprite == null)
                  console.log("Error creating object")
        }

        for (i=0; i<2; i++) {
            component = Qt.createComponent("Bubble.qml")

              sprite = component.createObject(bg, {"initial": false})

              if (sprite == null)
                  console.log("Error creating object")
        }
    }


    Timer {
        id: bubbleCreator
        interval: 1000
        repeat: true
        running: true
        onTriggered: {
            var test = bg.getRandom(100)
            if (test > 60)
                createBubble()
        }
    }


}
